package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description  
 * @Date 2021-07-05 
 */
@ApiModel
public class Supervise4CargoChangeDetail extends IsSuperviseDTO implements Serializable {
	
	private static final long serialVersionUID =  2291818160143936392L;

	/**
	 * 源单ID
	 */
	@ApiModelProperty("源单编号")
	private String refBillNo;

	/**
	 * 仓库ID
	 */
	@ApiModelProperty("仓库ID")
	private String warehouseId;

	/**
	 * 仓库名称
	 */
	@ApiModelProperty("仓库名称")
	private String warehouseName;

	/**
	 * 仓库编号
	 */
	@ApiModelProperty("仓库编号")
	private String warehouseCode;

	/**
	 * 采购单ID
	 */
	@ApiModelProperty("采购单ID")
	private String poBillId;

	/**
	 * 采购单编号
	 */
	@ApiModelProperty("采购单编号")
	private String poBillNo;

	/**
	 * 销售单ID
	 */
	@ApiModelProperty("销售单ID")
	private String orderBillId;

	/**
	 * 销售单编号
	 */
	@ApiModelProperty("销售单编号")
	private String orderBillNo;

    /**
     * 源商品ID
     */
    private String srcItemId;

    /**
     * 源商品名称
     */
    private String srcItemName;

    /**
     * 目标商品ID
     */
    private String destItemId;

    /**
     * 目标商品名称
     */
    @ApiModelProperty("目标商品名称")
    private String destItemName;
    
	/**
	 * 源货主ID
	 */
	private String srcCargoOwnerId;

	/**
	 * 源货主名称
	 */
	@ApiModelProperty("源货主名称")
	private String srcCargoOwnerName;

	/**
	 * 目标货主ID
	 */
	private String destCargoOwnerId;

	/**
	 * 目标货主名称
	 */
	@ApiModelProperty("目标货主名称")
	private String destCargoOwnerName;

	/**
	 * 目的货位ID
	 */
	private String destLocatorId;

    /**
     * 出库是否扫描监管码：0否1是
     */
    @ApiModelProperty("件数")
    private Integer totalCount;
    /**
     * 出库是否扫描监管码：0否1是
     */
    @ApiModelProperty("已扫码数量")
    private Integer scanCount;

    @ApiModelProperty(value = "明细id")
    private String resultId;

    /**
     * 转换数量
     */
    private BigDecimal quantity;

    @ApiModelProperty(value = "生产厂家")
    private String manufacturerName;

    @ApiModelProperty(value = "商品规格")
    private String specification;

    @ApiModelProperty(value = "产地")
    private String countryOriginName;

    @ApiModelProperty(value = "单位")
    private String caseUom;

    @ApiModelProperty(value = "包装数量")
    private BigDecimal caseConversionRate;

    @ApiModelProperty(value = "批号")
    private String manufacturerLotNum;

    @ApiModelProperty(value = "生产日期")
    private String showProductionDate;

    @ApiModelProperty(value = "有效期至日期")
    private String showExpiredDate;
    
    @ApiModelProperty(value = "源货位")
    private String srcLocatorName;

    @ApiModelProperty(value = "目的货位")
    private String destLocatorName;
    
    @ApiModelProperty(value = "商品编码")
    private String destItemCode;

    @ApiModelProperty(value = "【3.JIANG_CD,监管码】监管码/防串码/唯一码   ")
    private String supervisionCode;

    public String getSupervisionCode() {
        return supervisionCode;
    }

    public void setSupervisionCode(String supervisionCode) {
        this.supervisionCode = supervisionCode;
    }

    public String getDestItemCode() {
        return destItemCode;
    }

    public void setDestItemCode(String destItemCode) {
        this.destItemCode = destItemCode;
    }

    public String getSrcLocatorName() {
        return srcLocatorName;
    }

    public void setSrcLocatorName(String srcLocatorName) {
        this.srcLocatorName = srcLocatorName;
    }

    public String getDestLocatorName() {
        return destLocatorName;
    }

    public void setDestLocatorName(String destLocatorName) {
        this.destLocatorName = destLocatorName;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public String getShowProductionDate() {
        return showProductionDate;
    }

    public void setShowProductionDate(String showProductionDate) {
        this.showProductionDate = showProductionDate;
    }

    public String getShowExpiredDate() {
        return showExpiredDate;
    }

    public void setShowExpiredDate(String showExpiredDate) {
        this.showExpiredDate = showExpiredDate;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getCountryOriginName() {
        return countryOriginName;
    }

    public void setCountryOriginName(String countryOriginName) {
        this.countryOriginName = countryOriginName;
    }

    public String getCaseUom() {
        return caseUom;
    }

    public void setCaseUom(String caseUom) {
        this.caseUom = caseUom;
    }

    public BigDecimal getCaseConversionRate() {
        return caseConversionRate;
    }

    public void setCaseConversionRate(BigDecimal caseConversionRate) {
        this.caseConversionRate = caseConversionRate;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public String getResultId() {
        return resultId;
    }

    public void setResultId(String resultId) {
        this.resultId = resultId;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public String getRefBillNo() {
        return refBillNo;
    }

    public void setRefBillNo(String refBillNo) {
        this.refBillNo = refBillNo;
    }

    @Override
    public String getWarehouseId() {
        return warehouseId;
    }

    @Override
    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getPoBillId() {
        return poBillId;
    }

    public void setPoBillId(String poBillId) {
        this.poBillId = poBillId;
    }

    public String getPoBillNo() {
        return poBillNo;
    }

    public void setPoBillNo(String poBillNo) {
        this.poBillNo = poBillNo;
    }

    public String getOrderBillId() {
        return orderBillId;
    }

    public void setOrderBillId(String orderBillId) {
        this.orderBillId = orderBillId;
    }

    public String getOrderBillNo() {
        return orderBillNo;
    }

    public void setOrderBillNo(String orderBillNo) {
        this.orderBillNo = orderBillNo;
    }

    public String getSrcCargoOwnerId() {
        return srcCargoOwnerId;
    }

    public void setSrcCargoOwnerId(String srcCargoOwnerId) {
        this.srcCargoOwnerId = srcCargoOwnerId;
    }

    public String getSrcCargoOwnerName() {
        return srcCargoOwnerName;
    }

    public void setSrcCargoOwnerName(String srcCargoOwnerName) {
        this.srcCargoOwnerName = srcCargoOwnerName;
    }

    public String getDestCargoOwnerId() {
        return destCargoOwnerId;
    }

    public void setDestCargoOwnerId(String destCargoOwnerId) {
        this.destCargoOwnerId = destCargoOwnerId;
    }

    public String getDestCargoOwnerName() {
        return destCargoOwnerName;
    }

    public void setDestCargoOwnerName(String destCargoOwnerName) {
        this.destCargoOwnerName = destCargoOwnerName;
    }

    public String getDestLocatorId() {
        return destLocatorId;
    }

    public void setDestLocatorId(String destLocatorId) {
        this.destLocatorId = destLocatorId;
    }

    public String getSrcItemId() {
        return srcItemId;
    }

    public void setSrcItemId(String srcItemId) {
        this.srcItemId = srcItemId;
    }

    public String getSrcItemName() {
        return srcItemName;
    }

    public void setSrcItemName(String srcItemName) {
        this.srcItemName = srcItemName;
    }

    public String getDestItemId() {
        return destItemId;
    }

    public void setDestItemId(String destItemId) {
        this.destItemId = destItemId;
    }

    public String getDestItemName() {
        return destItemName;
    }

    public void setDestItemName(String destItemName) {
        this.destItemName = destItemName;
    }
}
